Cria uma revenda
curl --request POST \
--url https://api.example.com/v1/dealers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxpayerId": "00685824000142",
"legalName": "Acme Corporation LTDA",
"tradeName": "ACME",
"email": "contato@acmecorporation.com",
"external": {
"id": "yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi"
},
"parent": {
"taxpayerId": "00685824000142",
"legalName": "Acme Corporation LTDA",
"tradeName": "ACME",
"external": {
"id": "yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi"
}
},
"enabled": true,
"unit": "São Paulo",
"subunit": "Região Central",
"attributes": {
"externalId": "123456"
}
}
'import requests
url = "https://api.example.com/v1/dealers"
payload = {
"taxpayerId": "00685824000142",
"legalName": "Acme Corporation LTDA",
"tradeName": "ACME",
"email": "contato@acmecorporation.com",
"external": { "id": "yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi" },
"parent": {
"taxpayerId": "00685824000142",
"legalName": "Acme Corporation LTDA",
"tradeName": "ACME",
"external": { "id": "yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi" }
},
"enabled": True,
"unit": "São Paulo",
"subunit": "Região Central",
"attributes": { "externalId": "123456" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxpayerId: '00685824000142',
legalName: 'Acme Corporation LTDA',
tradeName: 'ACME',
email: 'contato@acmecorporation.com',
external: {id: 'yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi'},
parent: {
taxpayerId: '00685824000142',
legalName: 'Acme Corporation LTDA',
tradeName: 'ACME',
external: {id: 'yLyeaRFAEWgzlNB-sbaohb2GvSEqA0Wi'}
},
enabled: true,
unit: 'São Paulo',
subunit: 'Região Central',
attributes: {externalId: '123456'}
})
};
fetch('https://api.example.com/v1/dealers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}Dealers
Cria uma revenda
POST
/
v1
/
dealers
Cria uma revenda
Parâmetros de consulta
Corpo
application/json
Dados de criação
Número de Identificação do Contribuinte (CNPJ)
Exemplo:
"00685824000142"
Razão social da empresa
Exemplo:
"Acme Corporation LTDA"
Nome fantasia da empresa
Exemplo:
"ACME"
E-mail de contato
Exemplo:
"contato@acmecorporation.com"
Dados externos de integração do Dealer
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Habilita o Dealer
Exemplo:
true
Subunidade
Exemplo:
"São Paulo"
Subunidade
Exemplo:
"Região Central"
Atributos customizados de chave e valor
Show child attributes
Show child attributes
Exemplo:
{ "externalId": "123456" }
Resposta
Created
Identificador genérico
Show child attributes
Show child attributes
Esta página foi útil?
⌘I